# Network v2 TaaS Commands

## tap flow

### tap flow create

Create a new tap flow.

    openstack tap flow create
        [--project <project>]
        [--project-domain <project-domain>]
        [--name NAME]
        [--description DESCRIPTION]
        --port SOURCE_PORT
        --tap-service TAP_SERVICE
        --direction DIRECTION
        [--vlan-filter VLAN_FILTER]

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--name <NAME>

  Name of the tap flow.

--description <DESCRIPTION>

  Description of the tap flow.

--port SOURCE_PORT

  Source port (name or ID) to monitor.

--tap-service TAP_SERVICE

  Tap service (name or ID) to associate with this tap flow.

--direction DIRECTION

  Direction of the Tap flow. Valid options are: IN, OUT and BOTH

--vlan-filter VLAN_FILTER

  VLAN IDs to mirror in the form of range string.

### tap flow delete

Delete a tap flow.

    openstack tap flow delete <tap_flow> [<tap_flow> ...]

tap_flow

  Tap flow to delete (name or ID).

### tap flow list

List tap flows.

    openstack tap flow list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--project <project>]
        [--project-domain <project-domain>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

### tap flow show

Show tap flow details.

    openstack tap flow show <tap_flow>

tap_flow

  Tap flow to display (name or ID).

### tap flow update

Update a tap flow.

    openstack tap flow update
        [--name NAME]
        [--description DESCRIPTION]
        <tap_flow>

--name <NAME>

  Name of the tap flow.

--description <DESCRIPTION>

  Description of the tap flow.

tap_flow

  Tap flow to modify (name or ID).

## tap mirror

### tap mirror create

Create a new tap mirror.

    openstack tap mirror create
        [--project <project>]
        [--project-domain <project-domain>]
        [--name NAME]
        [--description DESCRIPTION]
        --port PORT
        --directions DIRECTIONS
        --remote-ip REMOTE_IP
        --mirror-type MIRROR_TYPE

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--name <NAME>

  Name of the tap service.

--description <DESCRIPTION>

  Description of the tap service.

--port PORT

  Port (name or ID) to which the Tap Mirror is connected.

--directions <DIRECTIONS>

  Dictionary of direction and tunnel_id. Valid directions are: IN and OUT.

--remote-ip <REMOTE_IP>

  Remote IP address for the tap mirror (remote end of the GRE or ERSPAN v1 tunnel).

--mirror-type <MIRROR_TYPE>

  Mirror type. Valid values are: gre and erspanv1.

### tap mirror delete

Delete a tap mirror.

    openstack tap mirror delete <tap_mirror> [<tap_mirror> ...]

tap_mirror

  Tap mirror to delete (name or ID).

### tap mirror list

List tap mirrors.

    openstack tap mirror list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--project <project>]
        [--project-domain <project-domain>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

### tap mirror show

Show tap mirror details.

    openstack tap mirror show <tap_mirror>

tap_mirror

  Tap mirror to display (name or ID).

### tap mirror update

Update a tap mirror.

    openstack tap mirror update
        [--name NAME]
        [--description DESCRIPTION]
        <tap_mirror>

--name <NAME>

  Name of the tap service.

--description <DESCRIPTION>

  Description of the tap service.

tap_mirror

  Tap mirror to modify (name or ID).

## tap service

### tap service create

Create a new tap service.

    openstack tap service create
        [--project <project>]
        [--project-domain <project-domain>]
        [--name NAME]
        [--description DESCRIPTION]
        --port PORT

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--name <NAME>

  Name of the tap service.

--description <DESCRIPTION>

  Description of the tap service.

--port PORT

  Port (name or ID) to connect to the tap service.

### tap service delete

Delete a tap service.

    openstack tap service delete <tap_service> [<tap_service> ...]

tap_service

  Tap service to delete (name or ID).

### tap service list

List tap services.

    openstack tap service list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--project <project>]
        [--project-domain <project-domain>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

### tap service show

Show tap service details.

    openstack tap service show <tap_service>

tap_service

  Tap service to display (name or ID).

### tap service update

Update a tap service.

    openstack tap service update
        [--name NAME]
        [--description DESCRIPTION]
        <tap_service>

--name <NAME>

  Name of the tap service.

--description <DESCRIPTION>

  Description of the tap service.

tap_service

  Tap service to modify (name or ID).

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.